/*  Copyright (C) 2005,2006 Mokrushin I.V. aka McMCC mcmcc@mail.ru
    A simple parallel port programmer for Microwire 8-pin serial EEPROMs
    (93XX devices). Support organization 8bit and 16bit(8bit emulation).

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.                */
/* ------------------------------------------------------------------------- */

#ifndef _MICROWIRE_H
#define _MICROWIRE_H

void Erase_EEPROM_3wire(int size_eeprom, int org);
unsigned char* Read_EEPROM_3wire(unsigned char *buffer, int size_eeprom, int org);
unsigned char* Read_byte_EEPROM_3wire(unsigned char *buffer, int address, int size_eeprom, int org);
int Write_byte_EEPROM_3wire(unsigned char val, int address, int size_eeprom, int org);
int Write_EEPROM_3wire(unsigned char *buffer, int size_eeprom, int org);
int Write_fill_EEPROM_3wire(unsigned char val, int size_eeprom, int org);
int deviceSize_3wire(int device);

#endif
