/*  Copyright (C) 2005,2006 Mokrushin I.V. aka McMCC mcmcc@mail.ru
    A simple parallel port programmer for I2C 8-pin serial EEPROMs (24XX devices).
    Based on original code by Alan Yates VK2ZAY alany@ay.com.au
    http://www.vk2zay.net/article.php/31
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.                */
/* ------------------------------------------------------------------------- */

#ifndef _I2C_H
#define _I2C_H

int i2cInit();
int i2cCleanUp();
void i2cSetDelay(int delay);
int i2c_deviceSize(int device);
int i2c_readRandom(int device, int address, char *buf, int len);
int i2c_writeByte(int device, int address, int value);
int i2c_writeRandom(int device, int address, char *buf, int len);

#endif
